<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title'] = 'жалобы на спам & '.$_SERVER['HTTP_HOST'];
include_once '../sys/inc/thead.php';
title();
aut();
echo "<div class='p_t'><center><img src='img/01png'/></center></div>";
if(!isset($user)){
echo '<div class="err">Журнал закрыт для гостей.</div>';
}else{
if(isset($_GET['clean']))
{
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `spamus` WHERE `id_kont` = '$user[id]'");
msg('Журнал очищен');
}
else
{
echo"<div class='foot'>\n";
echo"Вы уверены что хотите очистить журнал? <a href='?clean&ok'>Да</a>|<a href='?'>Нет</a><br />\n";
echo"</div>\n";
}
}
mysql_query("UPDATE `spamus` SET `read` = '1' WHERE `id_kont` = '".$user['id']."' AND `read` = '0'");
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '0' AND `id_kont` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
if($k_post==0){	echo '<div class="p_m">Нет новых событий!</div>';
}
$q=mysql_query("SELECT * FROM `spamus` WHERE `id_user` = '0' AND `id_kont` = '".$user['id']."' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q)){
if($num==1){
echo "<div class='p_t'>";
$num=0;
}else{
echo "<div class='p_m'>";
$num=1;}
echo ''.output_text($post['msg']).'';
echo ' ('.vremja($post['time']).')</td></tr><tr><br>';
echo "</div>\n";
}
echo "</div>\n";echo "</div>\n";
echo '</table>';
if($k_page>1){
str("spamus.php?id=".$ank['id']."&",$k_page,$page);
}
echo '<div class="foot"><a href="/adm_panel">Админ панель</a></div>';
}
echo"<a href='?clean'>Очистить журнал</a><br />\n";
echo '</div>';
include_once '../sys/inc/tfoot.php';
?>
